Subject: Re: bug#61960: 30.0.50; Unexec build reliably crashes during loadup

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Jul 2023 19:30:41 +0300

> From: Konstantin Kharlamov <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 21 Jul 2023 19:09:04 +0300
> 
> That makes me wonder if keeping this whole customized allocation engine
> even makes sense. It is not used in the actual Emacs, only in `temacs`
> — but why?

It is used in temacs because otherwise we'd not know how to record
allocated memory in the dumped Emacs.  Doing so requires control on
the allocation details, and we can only do that with code we ourselves
maintain.

You will see that in a build with pdumper gmalloc.c is not compiled at
all.

> So, I would be glad to hear what people think about the purpose of this
> gmalloc being in the project.

It is only needed in the unexec build, AFAIU.